Subject: bug#79193: 31.0.50; feature/igc: crashes with no gui frame

From: Helmut Eller <[email-masked]>
Date: Fri, 08 Aug 2025 08:40:48 +0200

On Thu, Aug 07 2025, Pip Cet via "Bug reports for GNU Emacs, the Swiss army knife of text editors" wrote:

[...]
> Of course, this may fail to work because of the glyph pool tracing bug
> Helmut discovered; Helmut, do you have a preference for how to fix that?
> My preference would be to simply use igc_xzalloc_ambig, but I also have
> code here to make glyph pools, and glyph arrays, special IGC object
> types.

I would prefer to have a reproducible test case first.  So far the
problem is only theoretical; we don't know whether it occurs in
practice.  If it actually occurs, then we can decide how to fix it.

Helmut